package repo

import (
	"context"
	"voucher/internal/biz/bo"
	"voucher/internal/biz/vo"
)

type OrderNotifyRepo interface {
	GetByID(ctx context.Context, id uint64) (*bo.OrderNotifyBo, error)
	GetCountByOrderNoAndEvent(ctx context.Context, orderNo string, event vo.OrderNotifyEvent) (int64, error)
	Create(ctx context.Context, req *bo.OrderNotifyBo) (*bo.OrderNotifyBo, error)
	Success(ctx context.Context, id uint64, responses string) error
	Fail(ctx context.Context, id uint64, remark string) error
}
